Bug 21027 - RHN client/NDS -> web broken
RHN client/NDS -> web broken
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Registration (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Cristian Gafton
Jay Turner
Depends On:
  Show dependency treegraph
Reported: 2000-11-17 13:26 EST by Martin C. Messer
Modified: 2015-01-07 18:42 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-11-17 13:26:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Martin C. Messer 2000-11-17 13:26:21 EST
Another example of the problem: 

username: cvet
web_user_id: 462234

Created initially via the RHN client. Does not have all the required
records created for his account. Most notably, web_user_contact_permissions
has no record with web_user_id = 462234, which should be created at the
same as all the other various records (web_user, web_product_registration,
web_user_site_info, etc.)

It appears to me that accounts are being created in pieces, committing
before all the records that make up that account are ready. The Oracle
import processes require that accounts/registrations have exactly one set
of records created every time. The set we need is provided for account
creations/registrations/orders happening via redhat.com/join...
Comment 1 Jay Turner 2001-01-17 10:55:21 EST
These issues should be resolved now with the latest cut of the RHN code.

Note You need to log in before you can comment on or make changes to this bug.